Last Comment Bug 53397 - Webclient crashes with Serach--> Find
: Webclient crashes with Serach--> Find
Status: VERIFIED FIXED
: crash
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: Sun Solaris
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-20 12:25 PDT by geetha.vaidyanaathan
Modified: 2012-04-09 22:27 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
diff -u of patch (3.85 KB, patch)
2000-11-01 17:49 PST, Ashu Kulkarni
no flags Details | Diff | Splinter Review
tar of modified files - untar in mozilla/java (60.00 KB, application/octet-stream)
2000-11-01 17:50 PST, Ashu Kulkarni
no flags Details

Description geetha.vaidyanaathan 2000-09-20 12:25:49 PDT
Running Webclient M4(Dated Sept 19 build) with M16 Mozilla on Solaris2.7
Doing a Search--> Find operation crashes Webclient.

 Following is the error msg on the  window running Webclient:

Gdk-ERROR **: BadValue (integer parameter out of range for operation)
  serial 1632 error_code 2 request_code 12 minor_code 0
......
.....
Followed by a Full VM thread dump
Comment 1 edburns 2000-09-20 14:34:55 PDT
Reassign to ashu.
Comment 2 Blake Ross 2000-09-25 14:33:43 PDT
*spam*

adding crash keyword...
Comment 3 Ashu Kulkarni 2000-11-01 17:49:31 PST
Created attachment 18520 [details] [diff] [review]
diff -u of patch
Comment 4 Ashu Kulkarni 2000-11-01 17:50:24 PST
Created attachment 18522 [details]
tar of modified files - untar in mozilla/java
Comment 5 Ashu Kulkarni 2000-11-01 17:51:03 PST
 Patch modifies
src_moz/CurrentPageImpl.cpp
src_moz/nsActions.cpp
src_moz/nsActions.h
classes_spec/org/mozilla/webclient/wrapper_native/CurrentPageImpl.java

_Ashu
Comment 6 edburns 2000-11-02 13:44:29 PST
r=a=edburns
Comment 7 Ashu Kulkarni 2000-11-06 10:10:35 PST
Fix checked in. Closing Bug.
Comment 8 Vladimir Strigun 2001-10-08 06:59:16 PDT
Verified with Mozilla 0.9.4 on Sparc Solaris 2.8 (Mozilla/5.0 (X11; U; SunOS 
sun4u; en-US; rv:0.9.4+) Gecko/20010918)
Comment 9 Alexei V. Mokeev 2001-10-15 07:10:06 PDT
VERIFIED

Note You need to log in before you can comment on or make changes to this bug.